%define name perl-Msgcat
%define real_name Msgcat
%define version 1.03
%define prefix %{_prefix}

Name: %{name}
Version: %{version}
Summary: Msgcat, a small Perl module for XPG4 message catalog functions
Release: 4mdk
Copyright: GPL
Group: Development/Perl
Source: ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/Locale/%{real_name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-root

%description
This is Msgcat, a small Perl modules for systems which support the XPG4 message
catalog functions : catopen(3), catgets(3) and catclose(4).

%prep
%setup -q -n %{real_name}-%{version}

%build
perl Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX="$RPM_BUILD_ROOT%{prefix}"
bzip2 -9f $RPM_BUILD_ROOT%{prefix}/lib/perl5/man/man3/*.3

%files
%defattr(-,root,root)
/usr/lib/perl5/site_perl/*/*/auto/*
/usr/lib/perl5/site_perl/*/*/[A-Z]*
/usr/lib/perl5/man/*/*


%changelog
* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.03-4mdk
- fixed group
- rebuild with new perl
- fixed location

* Mon Dec  6 1999 Jerome Dumonteil <jd@mandrakesoft.com>

- small cleaning in path variables

* Sun Dec  5 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- changed instances of i386 into %%{_arch} in the spec file.

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>

- first version of rpm.
